org.apache.hc.client5.http.impl.io

## Class DefaultHttpClientConnectionOperator

- java.lang.Object
- - org.apache.hc.client5.http.impl.io.DefaultHttpClientConnectionOperator

All Implemented Interfaces:
  HttpClientConnectionOperator

    @Internal
    @Contract(threading=IMMUTABLE_CONDITIONAL)
    public class DefaultHttpClientConnectionOperator
    extends Object
    implements HttpClientConnectionOperator

Default implementation of `HttpClientConnectionOperator` used as default in Http client, when no instance provided by user to `BasicHttpClientConnectionManager` or `PoolingHttpClientConnectionManager` constructor.

Since:
  4.4

### Constructor Summary

Constructors
Constructor and Description
`DefaultHttpClientConnectionOperator(org.apache.hc.core5.http.config.Lookup<ConnectionSocketFactory> socketFactoryRegistry, SchemePortResolver schemePortResolver, DnsResolver dnsResolver)`

### Method Summary

Methods
`void` `connect(ManagedHttpClientConnection conn, org.apache.hc.core5.http.HttpHost host, InetSocketAddress localAddress, org.apache.hc.core5.util.TimeValue connectTimeout, org.apache.hc.core5.http.config.SocketConfig socketConfig, org.apache.hc.core5.http.protocol.HttpContext context)`
`void` `upgrade(ManagedHttpClientConnection conn, org.apache.hc.core5.http.HttpHost host, org.apache.hc.core5.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultHttpClientConnectionOperator

    public DefaultHttpClientConnectionOperator(org.apache.hc.core5.http.config.Lookup<ConnectionSocketFactory> socketFactoryRegistry,
                                       SchemePortResolver schemePortResolver,
                                       DnsResolver dnsResolver)

### Method Detail

#### connect

    public void connect(ManagedHttpClientConnection conn,
               org.apache.hc.core5.http.HttpHost host,
               InetSocketAddress localAddress,
               org.apache.hc.core5.util.TimeValue connectTimeout,
               org.apache.hc.core5.http.config.SocketConfig socketConfig,
               org.apache.hc.core5.http.protocol.HttpContext context)
                 throws IOException

Specified by:
  `connect` in interface `HttpClientConnectionOperator`
Throws:
  `IOException`

#### upgrade

    public void upgrade(ManagedHttpClientConnection conn,
               org.apache.hc.core5.http.HttpHost host,
               org.apache.hc.core5.http.protocol.HttpContext context)
                 throws IOException

Specified by:
  `upgrade` in interface `HttpClientConnectionOperator`
Throws:
  `IOException`